List prediction market events
curl --request GET \
--url https://api.rekko.ai/v1/eventsimport requests
url = "https://api.rekko.ai/v1/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.rekko.ai/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"slug": "<string>",
"title": "<string>",
"platform": "<string>",
"market_count": 1,
"total_volume_24h": 1,
"updated_at": "2023-11-07T05:31:56Z",
"category": "",
"featured": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Events
List Events
List prediction market events grouped with aggregate stats.
Events group related individual markets (e.g., “Who will leave the Trump administration?” groups 32 individual outcome markets). Sorted by aggregate 24h volume descending.
GET
/
v1
/
events
List prediction market events
Query Parameters
Filter by platform
Maximum string length:
20Pattern:
^(kalshi|polymarket|robinhood|)$Filter by category (e.g., 'politics', 'crypto')
Maximum string length:
50Only featured events (true) or all (omit)
Maximum events to return
Required range:
1 <= x <= 100Response
Successful Response
URL-safe event identifier
Event question
Primary platform
Number of outcome markets
Required range:
x >= 0Aggregate 24h volume in USD
Required range:
x >= 0Last refresh timestamp
Event category
Platform-promoted event